<template>
    <div>
        <!-- Bnner Section -->
        <section class="banner-section-three" v-if="sliders.length > 0">
            <div class="banner-carousel-two owl-carousel owl-theme" >
                <div class="slide-item" v-for="slide in sliders" :style="`background-image: url(${$root.asset(slide.image)});`">
                    <div class="auto-container">
                        <div class="content-box clearfix">
                            <div class="inner-box">
                                <h4 class="title" >{{slide.subtitle}}</h4>
                                <h2>{{slide.title}}</h2>
                                <div class="text">
                                    {{slide.content}}
                                </div>
                                <div class="link-box"><a href="/about">
                                    {{
                                        $root.lang() == 1 ? 'Lihat Detail' : $root.lang() == 3 ? 'Im Detail sehen' : 'View Detail'
                                    }}
                                </a></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="bottom-box">
                <div class="auto-container">
                    <div class=" clearfix" style="position: relative; padding: 35px 0;">
                        <ul class="social-links clearfix">
                            <li v-for="socmed in socialMedia">
                                <a :href="socmed.link" target="_BLANK">
                                    <span :class="socmed.icon_class"></span> {{socmed.name}}
                                </a>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </section>
        <!-- End Bnner Section -->

        <!-- Specialize Most Liked Section -->
        <section class="specialize-section-two" >
            <div class="auto-container" >
                <div class="row" >
                    <!-- Title Column -->
                    <div class="title-column col-xl-5 col-lg-12 col-md-12 col-sm-12 " data-aos="fade-right">
                        <div class="inner-column">
                            <div class="sec-title">
                                <span class="float-text">
                                    {{
                                        $root.lang() == 1 ? 'Disukai' : $root.lang() == 3 ? 'Bevorzugt' : 'Preferred'
                                    }}
                                </span>
                                <h2>
                                    {{
                                        $root.lang() == 1 ? 'Produk yang Disukai' : $root.lang() == 3 ? 'Bevorzugtes Produkt' : 'Preferred Product'
                                    }}
                                </h2>
                            </div>

                            <div class="text-box">
                                <h4>{{preferedTitle}}</h4>
                                <div v-html="preferedContent"></div>
                            </div>
                            <div class="link-box">
                                <a href="/product">
                                    {{
                                        $root.lang() == 1 ? 'Selengkapnya' : $root.lang() == 3 ? 'Weiterlesen' : 'Read More'
                                    }}
                                    <i class="fa fa-angle-double-right"></i>
                                </a>
                            </div>
                        </div>
                    </div>
                    
                    <!-- Carousel Column -->
                    <div class="carousel-column col-xl-7 col-lg-12 col-md-12 col-sm-12" data-aos="fade-left">
                        <div class="inner-column" >
                            <div class="carousel-outer">
                                <ul class="image-carousel owl-carousel owl-theme">
                                    <li v-for="prefered in preferedProduct">
                                        <a href="/product" class="lightbox-image" :title="prefered.tb_product.name">
                                            <img :src="$root.asset(prefered.tb_product.image)" alt="" style="height: 600px; width: 600px;">
                                        </a>
                                    </li>
                                    <li v-for="prefered in preferedProduct">
                                        <a href="/product" class="lightbox-image" :title="prefered.tb_product.name">
                                            <img :src="$root.asset(prefered.tb_product.image)" alt="" style="height: 600px; width: 600px;">
                                        </a>
                                    </li>
                                </ul>
                                
                                <ul class="thumbs-carousel owl-carousel owl-theme">
                                    <li class="thumb-box" v-for="prefered in preferedProduct">
                                        <figure>
                                            <img :src="$root.asset(prefered.tb_product.image)" :alt="prefered.tb_product.name">
                                        </figure>
                                        <div class="overlay"><span class="icon fa fa-arrows-alt"></span></div>
                                    </li>
                                    <li class="thumb-box" v-for="prefered in preferedProduct">
                                        <figure><img :src="$root.asset(prefered.tb_product.image)" :alt="prefered.tb_product.name"></figure>
                                        <div class="overlay"><span class="icon fa fa-arrows-alt"></span></div>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </section>
        <!-- End Specialize Most Liked Section -->

        <!-- Process Section -->
        <section class="process-section" style="background-image: url(assets/images/background/8.jpg);">
            <div class="auto-container" data-aos="fade-up">
                <div class="sec-title light">
                    <span class="float-text">HOW WE WORK</span>
                    <h2>Proven Process</h2>
                </div>
                <div class="row">
                    <!-- Process Block -->
                    <div class="process-block col-lg-3 col-md-6 col-sm-12">
                        <div class="inner-box">
                            <span class="count">01</span>
                            <h4><a href="service-detail.html">Concept</a></h4>
                            <div class="text">When an unknown printer took a galley of type and scrambled it to make a book.</div>
                            <div class="link-box"><a href="service-detail.html">Read More</a></div>
                        </div>
                    </div>

                    <!-- Process Block -->
                    <div class="process-block col-lg-3 col-md-6 col-sm-12">
                        <div class="inner-box">
                            <span class="count">02</span>
                            <h4><a href="service-detail.html">Idea</a></h4>
                            <div class="text">When an unknown printer took a galley of type and scrambled it to make a book.</div>
                            <div class="link-box"><a href="service-detail.html">Read More</a></div>
                        </div>
                    </div>

                    <!-- Process Block -->
                    <div class="process-block col-lg-3 col-md-6 col-sm-12">
                        <div class="inner-box">
                            <span class="count">03</span>
                            <h4><a href="service-detail.html">Design</a></h4>
                            <div class="text">When an unknown printer took a galley of type and scrambled it to make a book.</div>
                            <div class="link-box"><a href="service-detail.html">Read More</a></div>
                        </div>
                    </div>

                    <!-- Process Block -->
                    <div class="process-block col-lg-3 col-md-6 col-sm-12">
                        <div class="inner-box">
                            <span class="count">04</span>
                            <h4><a href="service-detail.html">excecution</a></h4>
                            <div class="text">When an unknown printer took a galley of type and scrambled it to make a book.</div>
                            <div class="link-box"><a href="service-detail.html">Read More</a></div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!--End Process Section -->

        <section class="fun-fact-section">
            <div class="outer-box" style="background-image: url(assets/images/background/3.jpg);">
                <div class="auto-container">
                    <div class="fact-counter">
                        <div class="row">
                            <!--Column-->
                            <div class="counter-column col-lg-3 col-md-6 col-sm-12 wow fadeInUp animated" style="visibility: visible; animation-name: fadeInUp;">
                                <div class="count-box counted">
                                    <div class="count"><span class="count-text" data-speed="5000" data-stop="14">14</span></div>
                                    <h4 class="counter-title">Years of <br>Experience</h4>
                                </div>
                            </div>
    
                            <!--Column-->
                            <div class="counter-column col-lg-3 col-md-6 col-sm-12 wow fadeInUp animated" data-wow-delay="400ms" style="visibility: visible; animation-delay: 400ms; animation-name: fadeInUp;">
                                <div class="count-box counted">
                                    <div class="count"><span class="count-text" data-speed="5000" data-stop="237">237</span></div>
                                    <h4 class="counter-title">Project <br>Taken</h4>
                                </div>
                            </div>
    
                            <!--Column-->
                            <div class="counter-column col-lg-3 col-md-6 col-sm-12 wow fadeInUp animated" data-wow-delay="800ms" style="visibility: visible; animation-delay: 800ms; animation-name: fadeInUp;">
                                <div class="count-box counted">
                                    <div class="count"><span class="count-text" data-speed="5000" data-stop="11">11</span>K</div>
                                    <h4 class="counter-title">Twitter <br> Follower</h4>
                                </div>
                            </div>
    
                            <!--Column-->
                            <div class="counter-column col-lg-3 col-md-6 col-sm-12 wow fadeInUp animated" data-wow-delay="1200ms" style="visibility: visible; animation-delay: 1200ms; animation-name: fadeInUp;">
                                <div class="count-box counted">
                                    <div class="count"><span class="count-text" data-speed="5000" data-stop="12">12</span></div>
                                    <h4 class="counter-title">Awards<br>won</h4>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>

        <!-- Trend Project Section -->
        <section class="projects-section">
            <div class="auto-container">
                <div class="sec-title text-right">
                    <span class="float-text">
                        {{
                            $root.lang() == 1 ? 'Tren Saat Ini' : $root.lang() == 3 ? 'gerade angesagt' : 'Trending Now'
                        }}
                    </span>
                    <h2>
                        {{
                            $root.lang() == 1 ? 'Produk Tren' : $root.lang() == 3 ? 'Trendprodukt' : 'Trend Product'
                        }}
                    </h2>
                </div>
            </div>
            
            <div class="inner-container">
                <div class="projects-carousel owl-carousel owl-theme">
                    <!-- Project Block -->
                    <div class="project-block" v-for="tren in trends">
                        <div class="image-box">
                            <figure class="image"><img :src="$root.asset(tren.image)" alt=""></figure>
                            <div class="overlay-box">
                                <h4><a :href="'/product/'+tren.tb_product.id">{{tren.tb_product.name}}</a></h4>
                                <div class="btn-box">
                                    <a :href="$root.asset(tren.image)" class="lightbox-image" data-fancybox="gallery"><i class="fa fa-search"></i></a>
                                    <a :href="'/product/'+tren.tb_product.id"><i class="fa fa-external-link"></i></a>
                                </div>
                                <span class="tag">{{tren.tb_product.name}}</span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!--End Trend Project Section -->

        <!-- Testimonial Section Two-->
        <section class="testimonial-section-two">
            <div class="auto-container">
                <div class="sec-title">
                    <span class="float-text">
                        {{
                            $root.lang() == 2 ? 'Testimonial' :
                            $root.lang() == 1 ? 'kesaksian' :
                            $root.lang() == 3 ? 'Zeugnis' : ''
                        }}
                    </span>
                    <h2>
                        {{
                            $root.lang() == 2 ? 'What Clients Says' :
                            $root.lang() == 1 ? 'Apa Kata Klien' :
                            $root.lang() == 3 ? 'Was Kunden sagen' : ''
                        }}
                    </h2>
                </div>

                <div class="testimonial-carousel-two owl-carousel owl-theme">
                    <!-- Testimonial block two -->
                    <div class="testimonial-block-two" v-for="testi in testimonies">
                        <div class="inner-box">
                            <div class="text">
                                {{testi.testimoni}}
                            </div>
                            <div class="info-box">
                                <div class="thumb"><img :src="$root.asset(testi.image)" alt=""></div>
                                <h5 class="name">{{testi.client_name}}</h5>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </section>
        <!--End Testimonial Section Two-->

        <!--Clients Section-->
        <section class="clients-section style-two">
            <div class="auto-container">
                <div class="sponsors-outer">
                    <ul class="sponsors-carousel owl-carousel owl-theme">
                        <li class="slide-item" v-for="dt in partners"><figure class="image-box">
                            <a :href="dt.link" target="_BLANK"><img :src="$root.asset(dt.logo)" :alt="dt.partner_name"></a></figure>
                        </li>
                    </ul>
                </div>
            </div>
        </section>
        <!--End Clients Section-->

        <!-- Video Section -->
        <section class="video-section">
            <div class="outer-box" style="background-image: url(/assets/images/background/9.jpg);">
                <div class="auto-container">
                    <div class="row">
                        <div class="content-column col-lg-6 col-md-12 col-sm-12">
                            <div class="inner-column">
                                <div class="sec-title light">
                                    <span class="float-text">
                                        {{
                                            $root.lang() == 1 ? 'Lihat Video' : $root.lang() == 3 ? 'Siehe Video' : 'See Video'
                                        }}
                                    </span>
                                    <h2>{{video_title}}</h2>
                                </div>
                                <span class="title">{{video_subtitle}}</span>
                                <div class="text">{{video_summary}}</div> 
                            </div>
                        </div>

                        <!-- Video Column -->
                        <div class="video-column col-lg-6 col-md-12 col-sm-12">
                            <div class="inner-column">
                                <div class="video-box">
                                    <figure class="image"><img src="/assets/images/resource/video-img.jpg" alt="">
                                        <a :href="video_link" class="link" data-fancybox="gallery" data-caption=""><span class="icon fa fa-play"></span></a>
                                    </figure>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!--End Video Section -->

        <!-- FAQ Section -->
        <section class="faq-section"> 
            <div class="auto-container">
                <div class="row">
                    <!-- Image Column -->
                    <div class="image-column col-lg-6 col-md-12 col-sm-12">
                        <div class="inner-column">
                            <div class="image-box">
                                <figure class="image"><img src="/assets/images/resource/faq-img.jpg" alt=""></figure>
                            </div>
                        </div>
                    </div>

                    <div class="accordion-column col-lg-6 col-md-12 col-sm-12">
                        <div class="inner-column">
                            <div class="sec-title">
                                <span class="float-text">
                                    {{
                                        $root.lang() == 1 ? 'Beberapa FAQ' : $root.lang() == 3 ? 'einige FAQs' : 'some FAQ’s'
                                    }}
                                </span>
                                <h2>
                                    {{
                                        $root.lang() == 1 ? 'Pertanyaan yang diajukan tentang Freality' : $root.lang() == 3 ? 'Häufig gestellte Fragen' : 'Frequality Asked Questions'
                                    }}
                                </h2>
                            </div>
                            <ul class="accordion-box">
                                <!--Block-->
                                <li class="accordion block" v-for="faq in faqs">
                                    <div class="acc-btn">{{faq.question}} <div class="icon fa fa-plus-square"></div></div>
                                    <div class="acc-content">
                                        <div class="content">
                                            <div class="text">
                                                {{faq.answere}}
                                            </div>
                                        </div>
                                    </div>
                                </li>

                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!--End FAQ Section -->

        <!-- App Section -->
        <section class="app-section">
            <div class="outer-box">
                <div class="auto-container">
                    <div class="row">
                        <!-- Title Column -->
                        <div class="title-column col-lg-4 col-md-12 col-sm-12">
                            <div class="inner-column">
                                <h1 style="font-size: 28pt !important;">{{promo_section_title}}</h1>
                            </div>
                        </div>

                        <!-- Image Column -->
                        <div class="image-column col-lg-4 col-md-12 col-sm-12">
                            <div class="inner-column">
                                <div class="image-box wow zoomInLeft">
                                    <figure class="image"><img :src="$root.asset(promo_img)" alt="Promo Image"></figure>
                                </div>
                            </div>
                        </div>

                        <!-- Content Column -->
                        <div class="content-column col-lg-4 col-md-12 col-sm-12">
                            <div class="inner-column">
                                <h3>{{promo_section_subtitle}} <br> {{promo_section_caption}}</h3>
                                <div class="text">
                                    <!-- <button class="btn btn-primary">Visualize Now</button> -->
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!--End App Section -->

        <!-- Contact Section -->
        <section class="contact-section">
            <div class="inner-container">
                <div class="sec-title">
                    <span class="float-text">
                        {{
                            $root.lang() == 1 ? 'Informasi' : 
                            $root.lang() == 2 ? 'Information'  : 
                            $root.lang() == 3 ? 'Information' : ''
                        }}
                    </span>
                    <h2>
                        {{
                            $root.lang() == 1 ? 'Hubungi Kami' : 
                            $root.lang() == 2 ? 'Contact Us' : 
                            $root.lang() == 3 ? 'Kontaktiere uns' : '' 
                        }}
                    </h2>
                </div>

                <div class="row">
                    <!-- Info Column -->
                    <div class="info-column col-lg-4 col-md-12 col-sm-12">
                        <div class="inner-column">
                            <h4>
                                {{
                                    $root.lang() == 1 ? 'Butuh Bantuan' : 
                                    $root.lang() == 2 ? 'Need Support' :
                                    $root.lang() == 3 ? 'Brauche Unterstützung' : ''
                                }}
                            </h4>
                            <ul class="contact-info">
                                <li>
                                    {{
                                        address
                                    }}
                                </li>
                                <li>{{phone}}</li>
                                <li><a :href="'mailto:'+email">{{email}}</a></li>
                            </ul>
                        </div>
                    </div>

                    <!-- Form Column -->
                    <div class="form-column col-lg-8 col-md-12 col-sm-12">
                        <div class="inner-column">
                            <!-- Contact Form -->
                            <div class="contact-form">
                                <form method="post" >
                                    <div class="row">
                                        <div class="form-group col-lg-6 col-md-12">
                                            <input type="text" name="username" 
                                            :placeholder="$root.lang() == 1 ? 'Nama Lengkap' : $root.lang() == 3 ? 'Vollständiger Name' : 'Full Name'" required>
                                        </div>

                                        <div class="form-group col-lg-6 col-md-12">
                                            <input type="text" name="phone" :placeholder="$root.lang() == 1 ? 'Telepon' : $root.lang() == 3 ? 'Telefon' : 'Phone'" required>
                                        </div>

                                        <div class="form-group col-lg-6 col-md-12">
                                            <input type="text" name="company" :placeholder="$root.lang() == 1 ? 'Perusahaan' : $root.lang() == 3 ? 'Unternehmen' : 'Company'" required>
                                        </div>
                                        
                                        <div class="form-group col-lg-6 col-md-12">
                                            <input type="email" name="email" placeholder="Email" required>
                                        </div>

                                        <div class="form-group col-lg-12 col-md-12">
                                            <textarea name="message" :placeholder="$root.lang() == 1 ? 'Pesan' : $root.lang() == 3 ? 'Botschaft' : 'Message'"></textarea>
                                        </div>
                                        
                                        <div class="form-group col-lg-12 col-md-12">
                                            <button class="theme-btn btn-style-three" type="submit" name="submit-form">{{$root.lang() == 1 ? 'Kirim' : $root.lang() == 3 ? 'Einreichen' : 'Submit'}}</button>
                                        </div> 
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!--End Contact Section -->
    </div>
</template>

<script>
    import ApiFrame from "../services/api/content.js"
    import AOS from 'aos';
    export default {
        data() {
            return {
                sliders: [],
                socialMedia: [],
                preferedTitle: '',
                preferedContent: '',
                preferedProduct: [],
                faqs: [],
                testimonies: [],
                address: '',
                email: '',
                phone: '',
                video_title: '',
                video_subtitle: '',
                video_summary: '',
                video_link: '',

                promo_section_title: '',
                promo_section_subtitle: '',
                promo_section_caption: '',
                promo_img: '',

                trends: [],
                partners: [],

                en_ : [ '<span class="fa fa-long-arrow-left"></span> prev', 'next<span class="fa fa-long-arrow-right"></span>' ],
                id_ : [ '<span class="fa fa-long-arrow-left"></span> Kembali', 'Selanjutnya<span class="fa fa-long-arrow-right"></span>' ],
                deu_: [ '<span class="fa fa-long-arrow-left"></span> Bisherige', 'Nächster<span class="fa fa-long-arrow-right"></span>' ]
            }
        },
        methods: {
            async initialFrame() {
                AOS.init();
                this.partners = await ApiFrame.getPartner()
                let _content = await ApiFrame.getFrame('home')
                this.sliders = await _content.content.tb_banners
                this.preferedTitle = await _content.content.tb_static_content.prefered_title
                this.preferedContent = await _content.content.tb_static_content.prefered_content
                this.preferedProduct = await _content.content_prefered
                this.faqs = await _content.content.tb_faqs
                this.testimonies = await _content.content.tb_testimonis
                this.address = await _content.content.tb_profile.tb_addresses[0].address
                this.phone = await _content.content.tb_profile.phone
                this.email = await  _content.content.tb_profile.email
                this.video_title = await _content.content.tb_static_content.video_title
                this.video_subtitle = await _content.content.tb_static_content.video_subtitle
                this.video_summary = await _content.content.tb_static_content.video_summary
                this.video_link = await _content.content.tb_static_content.video_link
                this.promo_section_title = await _content.content.tb_static_content.promo_section_title
                this.promo_section_subtitle = await _content.content.tb_static_content.promo_section_subtitle
                this.promo_section_caption = await _content.content.tb_static_content.promo_section_caption
                this.promo_img = await _content.content.tb_static_content.promo_section_image
                this.trends = await _content.content_trend
                
                ApiFrame.getSocial_Media()
                .then(_responseHttp => {
                    this.socialMedia = _responseHttp.data
                })
            },
            owlTrendInit() {
                if ($('.projects-carousel').length) {
                    $('.projects-carousel').owlCarousel({
                        loop:true,
                        margin:0,
                        nav:true,
                        smartSpeed: 700,
                        autoplay: true,
                        navText: this.$root.lang() == 1 ? this.id_ : this.$root.lang() == 3 ? this.deu_ : this.en_,
                        responsive:{
                            0:{
                                items:1
                            },
                            600:{
                                items:2
                            },
                            800:{
                                items:3
                            },
                            1024:{
                                items:4
                            },
                            1400:{
                                items:5
                            }
                        }
                    });    		
                }

                
            },
            initPartner() {
                if ($('.sponsors-carousel').length) {
                    $('.sponsors-carousel').owlCarousel({
                        loop:true,
                        margin:30,
                        nav:true,
                        smartSpeed: 700,
                        autoplay: true,
                        responsive:{
                            0:{
                                items:1
                            },
                            600:{
                                items:2
                            },
                            768:{
                                items:3
                            },
                            1024:{
                                items:4
                            },
                            1400:{
                                items:5
                            },
                        }
                    });    		
                }
            },
            owlTestimoniInit() {
                if ($('.testimonial-carousel-two').length) {
                    $('.testimonial-carousel-two').owlCarousel({
                        loop:true,
                        margin:70,
                        nav:true,
                        smartSpeed: 700,
                        autoplay: true,
                        navText: this.$root.lang() == 1 ? this.id_ : this.$root.lang() == 3 ? this.deu_ : this.en_,
                        responsive:{
                            0:{
                                items:1
                            },
                            600:{
                                items:1
                            },
                            768:{
                                margin:30,
                                items:2
                            },
                            1024:{
                                items:2
                            }
                        }
                    });    		
                }
            },
            owlPreferedInit() {
                if ($('.image-carousel').length && $('.thumbs-carousel').length) {
                    
                    var $sync1 = $(".image-carousel"),
                        $sync2 = $(".thumbs-carousel"),
                        flag = false,
                        duration = 500;
                        $sync1.owlCarousel({
                            loop:false, items: 1, 
                            margin: 0, 
                            nav: false,
                            navText: this.$root.lang() == 1 ? this.id_ : this.$root.lang() == 3 ? this.deu_ : this.en_,
                            dots: false,
                            autoplay: true,
                            autoplayTimeout: 5000
                        }).on('changed.owl.carousel', function (e) {
                            if (!flag) {
                                flag = false;
                                $sync2.trigger('to.owl.carousel', [e.item.index, duration, true]);
                                flag = false;
                            }
                        });

                        $sync2.owlCarousel({
                            loop:false,
                            margin: 20,
                            items: 1,
                            nav: true,
                            navText: this.$root.lang() == 1 ? this.id_ : this.$root.lang() == 3 ? this.deu_ : this.en_,
                            dots: false,
                            center: false,
                            autoplay: true,
                            mouseDrag:true,
                            touchDrag:true,
                            autoplayTimeout: 5000,
                            responsive: {
                                0:{
                                    items:2,
                                    autoWidth: false
                                },
                                400:{
                                    items:2,
                                    autoWidth: false
                                },
                                600:{
                                    items:3,
                                    autoWidth: false
                                },
                                800:{
                                    items:4,
                                    autoWidth: false
                                },
                                1024:{
                                    items:4,
                                    autoWidth: false
                                }
                            },
                        }).on('click', '.owl-item', function () {
                            $sync1.trigger('to.owl.carousel', [$(this).index(), duration, true]);
                        }).on('changed.owl.carousel', function (e) {
                            if (!flag) {
                                flag = true;
                                $sync1.trigger('to.owl.carousel', [e.item.index, duration, true]);
                                flag = false;
                            }
                        });
                }
            },
            owlBannerInit() {
                if ($('.banner-carousel-two').length) {
                    $('.banner-carousel-two').owlCarousel({
                        animateOut: 'fadeOut',
                        animateIn: 'fadeIn',
                        loop:true,
                        margin:30,
                        nav:true,
                        smartSpeed: 15000,
                        mouseDrag:false,
                        touchDrag:false,
                        autoHeight: true,
                        autoplay: true,
                        autoplayTimeout:10000,
                        navText: this.$root.lang() == 1 ? this.id_ : this.$root.lang() == 3 ? this.deu_ : this.en_,
                        responsive:{
                            0: { items:1 },
                            600: { items:1 },
                            1024: { items:1 },
                        }
                    });
                }
            }
        },
        // LIFECYLCE
        beforeCreate() {},
        created() {},
        beforeMount() {
           
        },
        async mounted() {
            await this.initialFrame()
            if(this.preferedProduct.length > 0) {
                this.owlPreferedInit()
            }
            this.owlBannerInit()
            if(this.partners.length > 0) {
                this.initPartner()
            }
            if(this.testimonies.length > 0) {
                this.owlTestimoniInit()
            }
            if(this.trends.length > 0) {
                this.owlTrendInit()
            }
            // this.owlInit()
        }
    }
</script>